Subject: Re: Problems instaling perl Net::Pcap module
From: "Gerrit P. Haase" <[email-masked]>
To: SonOfLilit <[email-masked]>
Cc: [email-masked]
Date: Sun, 06 Mar 2005 12:45:08 +0100

SonOfLilit wrote:

> I hope this is the right place to post this.
> 
> The steps I went through:
> * d/l it
> * extract
> * cd to dir
> * d/l WinPcap developer kit and put ./lib to my /lib/Pcap and ./include to my
> /usr/include, without replacing 2-3 .h headers that I already had
> * $ perl Makefile.PL INC=-I/usr/include LIBS=-L/lib/Pcap
> Says that all is right
> * $ make
> Gives me tons of warnings and errors - the errors about undefined references to
> many pcap related symbols like '_pcap_dump' in pcap.c, while processing *pcap.o*.
> 
> Clue anyone?
> 
> Errors:
> 'Pcap.o(.text+0x12b7):Pcap.c: undefined reference to `_pcap_open_live

All the symbols are defined where?  Is there an archive missing at the
link command?  You need to link against the WinPcap Library IMO.

Gerrit
-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/